Welcome to the New BigPanda API Documentation
🚧 Authentication All BigPanda APIs require Bearer Token Authorization in the call headers. This API uses the User API Key type of Authorization token.
🚧 Required permission This API requires the AuditLogs:view permission.
📘 Redaction Sensitive information found in the oldValueandnewValuefields is redacted and returned as"[REDACTED]".
❗ Rate limitations To maintain quality of service, the Biggy API is limited to 100 requests per minute. Additional requests will return a 429 response code and the request will need to be retried.
curl --location 'https://api.biggy.io/audit-logs?from=2025-01-01T00%3A00%3A00.000Z&to=2025-01-31T23%3A59%3A59.999Z&changeType=delete' \
--header 'Authorization: Bearer <token>'{
"status": 200,
"auditLogs": {
"id": "66f0c8f8d73b2b0012ab3456",
"timestamp": "2025-01-15T18:24:31.123Z",
"entityName": "api_key",
"entityId": "66f0c8f8d73b2b0012ab7777",
"changeType": "Update",
"actorType": "User",
"userFullName": "Jane Smith",
"userId": "89abcdef0123456701234555",
"metadata": {
"description": "Updated API key details"
},
"changes": [
{
"propertyPath": "name",
"changeType": "modified",
"oldValue": "Prod API Key",
"newValue": "Production API Key"
}
]
},
"pagination": {
"page": 1,
"limit": 20,
"hasMore": true
}
}